Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class BadInputException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.beasys.commerce.foundation.exception.ProcessingException
                              |
                              +--com.beasys.commerce.foundation.exception.BadInputException

public class BadInputException
extends ProcessingException

`BadInputException` or sub-classes of `BadInputException` are to be thrown by classes that implement the `InputProcessor` interface to signal any bad input.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also:
  `MessageCatalogException`, Serialized Form

Fields inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`BadInputException(java.lang.String messageKey)` Constructs a BadInputException with the given message.
`BadInputException(java.lang.String messageKey, java.lang.Exception embeddedException)` Constructs a BadInputException.
`BadInputException(java.lang.String messageKey, java.lang.Object[] argument)` Constructs a BadInputException.
`BadInputException(java.lang.String messageKey, java.lang.Object[] argument, java.lang.Exception embeddedException)` Constructs a BadInputException.
`BadInputException(java.lang.String messageKey, java.lang.String argument)` Constructs a BadInputException.
`BadInputException(java.lang.String namespace, java.lang.String messageKey, java.lang.Exception embeddedException)` Constructs a BadInputException.
`BadInputException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] argument)` Constructs a BadInputException.
`BadInputException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] argument, java.lang.Exception embeddedException)` Constructs a BadInputException.
`BadInputException(java.lang.String namespace, java.lang.String messageKey, java.lang.String argument)` Constructs a BadInputException.
`BadInputException(java.lang.String namespace, java.lang.String messageKey, java.lang.String argument, java.lang.Exception embeddedException)` Constructs a BadInputException.

Methods inherited from class com.beasys.commerce.foundation.exception.ProcessingException
`setEmbeddedException`

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadInputException

    public BadInputException(java.lang.String messageKey)

  Constructs a BadInputException with the given message.

  Parameters:
    `String` - message.

### BadInputException

    public BadInputException(java.lang.String messageKey,
                             java.lang.String argument)

  Constructs a BadInputException.

  Parameters:
    `String` - messageKey to look for in the default resource bundle.
    `String` - the argument that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(java.lang.String namespace,
                             java.lang.String messageKey,
                             java.lang.String argument)

  Constructs a BadInputException.

  Parameters:
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `String` - the argument that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(java.lang.String messageKey,
                             java.lang.Object[] argument)

  Constructs a BadInputException.

  Parameters:
    `String` - messageKey to look for in the default resource bundle.
    `Object[]` - the arguments that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(java.lang.String namespace,
                             java.lang.String messageKey,
                             java.lang.Object[] argument)

  Constructs a BadInputException.

  Parameters:
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `Object[]` - the argument that will be used to replace the place holders in the message.

### BadInputException

    public BadInputException(java.lang.String messageKey,
                             java.lang.Exception embeddedException)

  Constructs a BadInputException.

  Parameters:
    `String` - messageKey to look for in the default resource bundle.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(java.lang.String namespace,
                             java.lang.String messageKey,
                             java.lang.Exception embeddedException)

  Constructs a BadInputException.

  Parameters:
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(java.lang.String namespace,
                             java.lang.String messageKey,
                             java.lang.String argument,
                             java.lang.Exception embeddedException)

  Constructs a BadInputException.

  Parameters:
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `String` - the argument that will be used to replace the place holders in the message.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(java.lang.String messageKey,
                             java.lang.Object[] argument,
                             java.lang.Exception embeddedException)

  Constructs a BadInputException.

  Parameters:
    `String` - messageKey to look for in the default resource bundle.
    `Object[]` - the argument that will be used to replace the place holders in the message.
    `Exception` - the embedded exception.

### BadInputException

    public BadInputException(java.lang.String namespace,
                             java.lang.String messageKey,
                             java.lang.Object[] argument,
                             java.lang.Exception embeddedException)

  Constructs a BadInputException.

  Parameters:
    `String` - the resource bundle.
    `String` - messageKey to look for in the resource bundle.
    `Object[]` - the argument that will be used to replace the place holders in the message.
    `Exception` - the embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved